# Interface TableNamer

public interface TableNamer
Defines how Setting string values are generated from input values which refer to tables.

Since:
  20 Sep 2017
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`uk.ac.starlink.table.TableBuilder`
`getTableFormat(uk.ac.starlink.table.StarTable table)`
Returns a table input handler for the given table, if known.
`CredibleString`
`nameTable(uk.ac.starlink.table.StarTable table)`
Derives a string value (a name) from a given table.

## Method Details

### nameTable

CredibleString nameTable(uk.ac.starlink.table.StarTable table)
Derives a string value (a name) from a given table.

Parameters:
  `table` - table object
Returns:
  naming structure

### getTableFormat

uk.ac.starlink.table.TableBuilder getTableFormat(uk.ac.starlink.table.StarTable table)
Returns a table input handler for the given table, if known.

Returns:
  input handler to use with generated table name if known, otherwise null